VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Functions
VST3Plugin.mm File Reference
`import "VST3Plugin.h"`
`import "HostApp.h"`
`import "public.sdk/source/vst/auwrapper/NSDataIBStream.h"`
`import "public.sdk/source/vst/hosting/hostclasses.h"`
`import "base/source/updatehandler.h"`
`import "pluginterfaces/base/ipluginbase.h"`
`import "pluginterfaces/vst/ivstinterappaudio.h"`
`import "pluginterfaces/vst/ivstmessage.h"`
`import "pluginterfaces/vst/ivstmidicontrollers.h"`
`import <libkern/OSAtomic.h>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::InterAppAudio

## Functions
bool | bundleEntry (CFBundleRef)
bool | bundleExit (void)
| __attribute__ ((constructor)) static void InitUpdateHandler()

## Function Documentation

## ◆ bundleEntry()

bool bundleEntry | ( | CFBundleRef |  | ) |

## ◆ bundleExit()

bool bundleExit | ( | void |  | ) |

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.